GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
String | getShipmentReference ()
void | setShipmentReference (String value)
String | getShipmentUnitReference ()
void | setShipmentUnitReference (String value)
String | getParcelNumber ()
void | setParcelNumber (String value)
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)
String | getNationalParcelNumber ()
void | setNationalParcelNumber (String value)

## Protected Attributes
String | trackID
String | shipmentReference
String | shipmentUnitReference
String | parcelNumber
String | partnerParcelNumber
String | nationalParcelNumber

## Detailed Description

Request (input) parameters for cancelParcel request

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <choice>
              <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
              <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber"/>
              <element name="ShipmentUnitReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber"/>
              <element name="ParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
              <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
              <element name="NationalParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
            </choice>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 52 of file CancelParcelRequestParameter.java.

## Member Function Documentation

## ◆ getNationalParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.getNationalParcelNumber | ( |  | ) |

Gets the value of the nationalParcelNumber property.

Returns
  possible object is String

Definition at line 195 of file CancelParcelRequestParameter.java.

## ◆ getParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.getParcelNumber | ( |  | ) |

Gets the value of the parcelNumber property.

Returns
  possible object is String

Definition at line 147 of file CancelParcelRequestParameter.java.

## ◆ getPartnerParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 171 of file CancelParcelRequestParameter.java.

## ◆ getShipmentReference()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

Returns
  possible object is String

Definition at line 99 of file CancelParcelRequestParameter.java.

## ◆ getShipmentUnitReference()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.getShipmentUnitReference | ( |  | ) |

Gets the value of the shipmentUnitReference property.

Returns
  possible object is String

Definition at line 123 of file CancelParcelRequestParameter.java.

## ◆ getTrackID()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 75 of file CancelParcelRequestParameter.java.

## ◆ setNationalParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.setNationalParcelNumber | ( | String | value | ) |

Sets the value of the nationalParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 207 of file CancelParcelRequestParameter.java.

## ◆ setParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.setParcelNumber | ( | String | value | ) |

Sets the value of the parcelNumber property.

Parameters

  value | allowed object is String

Definition at line 159 of file CancelParcelRequestParameter.java.

## ◆ setPartnerParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 183 of file CancelParcelRequestParameter.java.

## ◆ setShipmentReference()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.setShipmentReference | ( | String | value | ) |

Sets the value of the shipmentReference property.

Parameters

  value | allowed object is String

Definition at line 111 of file CancelParcelRequestParameter.java.

## ◆ setShipmentUnitReference()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.setShipmentUnitReference | ( | String | value | ) |

Sets the value of the shipmentUnitReference property.

Parameters

  value | allowed object is String

Definition at line 135 of file CancelParcelRequestParameter.java.

## ◆ setTrackID()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 87 of file CancelParcelRequestParameter.java.

## Member Data Documentation

## ◆ nationalParcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.nationalParcelNumber
| protected

Definition at line 65 of file CancelParcelRequestParameter.java.

## ◆ parcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.parcelNumber
| protected

Definition at line 61 of file CancelParcelRequestParameter.java.

## ◆ partnerParcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.partnerParcelNumber
| protected

Definition at line 63 of file CancelParcelRequestParameter.java.

## ◆ shipmentReference

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.shipmentReference
| protected

Definition at line 57 of file CancelParcelRequestParameter.java.

## ◆ shipmentUnitReference

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.shipmentUnitReference
| protected

Definition at line 59 of file CancelParcelRequestParameter.java.

## ◆ trackID

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter.trackID
| protected

Definition at line 55 of file CancelParcelRequestParameter.java.

The documentation for this class was generated from the following file:

- CancelParcelRequestParameter.java